<template lang="pug">
#app
  .main-layout
    left-menu
    .main-content
      top-nav
      router-view
</template>

<script>
  import auth from './utils/auth'
  import TopNav from './components/Layout/TopNav'
  import LeftMenu from './components/Layout/LeftMenu'

  export default {
    name: 'app',
    components: {
      TopNav,
      LeftMenu
    },
    created() {
      auth.checkAuth()
    }
  }
</script>

<style lang="sass">
  @import './styles/style';
</style>
